Create a new category
cURL
curl --request POST \ --url https://cms.thepublive.com/publisher/{publisher_id}/category/ \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "english_name": "<string>", "slug": "<string>", "meta_title": "<string>", "h1_tag": "<string>", "meta_description": "<string>", "parent_category": 123, "priority": 123, "content": "<string>", "category_brand_color": "<string>", "content_type": "<string>" } '
{ "status": "success", "message": "Created Successfully", "data": { "id": 14500, "name": "Technology", "english_name": "Technology", "slug": "technology", "absolute_url": "/technology", "parent_category": null, "category_brand_color": null, "content": "", "meta_title": "Technology News", "meta_description": "", "content_type": null } }
english_name
Article
Web Story
curl -X POST \ 'https://cms.thepublive.com/publisher/123/category/' \ -H 'Authorization: Basic <BASE64_AUTH_TOKEN>' \ -H 'Content-Type: application/json' \ -d '{ "name": "Technology", "english_name": "Technology", "meta_title": "Technology News", "priority": 100 }'
Was this page helpful?